*:*****************************************************************************
*:
*: Procedure file: C:\TEMP\HELP3270.PRG
*:
*:         System: 3270 emulation program
*:         Author: John Wright
*:      Copyright (c) 1992-1993, John Wright
*:  Last modified: 12/26/93      8:30
*:
*:  Procs & Fncts: HELP3270()
*:
*:      Documented 12/26/93 at 08:35                SNAP!  version 5.02
*:*****************************************************************************
*!*****************************************************************************
*!
*!       Function: HELP3270()
*!
*!      Called by: HOST3270()         (function  in HOST3270.PRG)
*!
*!*****************************************************************************
FUNCTION Help3270()
LOCAL cSaveScrn, cOldColor
cOldColor := SETCOLOR( "N/W" )
cSaveScrn := SaveBox( 04, 00, 19, 79 )
@ 04,02 SAY "͸"
@ 05,02 SAY " Keys  Normal       Alt     Ctrl    Keys     Description               "
@ 06,02 SAY "Ĵ"
@ 07,02 SAY " F1    Help         PF1     PF13    Alt-F    Field mark                "
@ 08,02 SAY " F2    Clear        PF2     PF14    Ctrl-J   PA1                       "
@ 09,02 SAY " F3    Attn         PF3     PF15    Cltr-K   PA2                       "
@ 10,02 SAY " F4    Erase inp    PF4     PF16                                       "
@ 11,02 SAY " F5    DUP          PF5     PF17    Esc      Exit 3270 emulation       "
@ 12,02 SAY " F6    Erase EOF    PF6     PF18                                       "
@ 13,02 SAY " F7    Print        PF7     PF19    Alt-A    Change screen attributes  "
@ 14,02 SAY " F8    Sys Req      PF8     PF20    Alt-P    Create program for screen "
@ 15,02 SAY " F9    New line     PF9     PF21    Alt-R    Pop-up ruler              "
@ 16,02 SAY " F10   Reset        PF10    PF22    Alt-S    Save screen information   "
@ 17,02 SAY " F11   PA1          PF11    PF23    Alt-W    Write screen info to disk "
@ 18,02 SAY " F12   PA2          PF12    PF24                                       "
@ 19,02 SAY ";"
SET CURSOR OFF
INKEY(0)
RestBox( cSaveScrn )
SETCOLOR( cOldColor)
RETURN nil

*: EOF: HELP3270.PRG
