*:*****************************************************************************
*:
*: Procedure file: C:\TEMP\WRIT3270.PRG
*:
*:         System: 3270 emulation program
*:         Author: John Wright
*:      Copyright (c) 1992-1993, John Wright
*:  Last modified: 12/26/93      8:30
*:
*:  Procs & Fncts: WRITE3270()
*:
*:         Set by: HOST3270()         (function  in HOST3270.PRG)
*:
*:      Documented 12/26/93 at 08:35                SNAP!  version 5.02
*:*****************************************************************************
#include "FILEIO.CH"

*!*****************************************************************************
*!
*!       Function: WRITE3270()
*!
*!      Called by: HOST3270()         (function  in HOST3270.PRG)
*!
*!    Other Files: CFILENAME
*!
*!*****************************************************************************
FUNCTION Write3270( cFileName, cScreen, aFlds )
LOCAL nHandle, nLoop

IF FILE( cFileName )
   nHandle := FOPEN( cFileName, FO_WRITE )
   FSEEK( nHandle, 0, FS_END )
   FWRITELN( nHandle, REPLICATE("*",80) )
   FWRITELN( nHandle, " " )
ELSE
   nHandle := FCREATE( cFileName )
ENDIF

FOR nLoop := 0 TO 23
   FWRITELN( nHandle, SUBST( cScreen, ( nLoop * 80 ) + 1, 80 ) )
NEXT
FWRITELN( nHandle, REPLICATE("", 80 ) )
FWRITELN( nHandle, " " )
FWRITELN( nHandle, "FIELD  TYPE  ROW  COL  LEN  PROT  UPD  CONTENTS" )
FWRITELN( nHandle, "              "+REPLICATE("",40) )

FOR nLoop := 2 TO LEN( aFlds )
   FWRITELN( nHandle, STR(nLoop-1,4,0)+;
      "   "+aFlds[nLoop,1]+;
      STR(aFlds[nLoop,2],5)+;
      STR(aFlds[nLoop,3],5)+;
      STR(aFlds[nLoop,4],5)+;
      "    "+aFlds[nLoop,5]+;
      "    "+aFlds[nLoop,6]+;
      "   "+SUBSTR( cScreen, aFlds[nLoop,7], ;
      IF( aFlds[nLoop,4] > 40, 40, aFlds[nLoop,4] ) ) )
NEXT

FWRITELN( nHandle, " " )
FWRITELN( nHandle, "Cursor positioned at "+STR(aFlds[1,1],2)+"/"+;
   STR(aFlds[1,2],2) )
FWRITELN( nHandle, CHR(12) )

FCLOSE( nHandle )

TONE(240, 0.25)
TONE(480, 0.25)

RETURN .T.

*: EOF: WRIT3270.PRG
