*:*****************************************************************************
*:
*: Procedure file: C:\TEMP\STAT3270.PRG
*:
*:         System: 3270 emulation program
*:         Author: John Wright
*:      Copyright (c) 1992-1993, John Wright
*:  Last modified: 12/26/93      8:30
*:
*:  Procs & Fncts: STAT3270()
*:
*:      Documented 12/26/93 at 08:35                SNAP!  version 5.02
*:*****************************************************************************
#include "CLIP2.CH"

*!*****************************************************************************
*!
*!       Function: STAT3270()
*!
*!      Called by: HOST3270()         (function  in HOST3270.PRG)
*!
*!*****************************************************************************
FUNCTION Stat3270()
* Display the 3270 status line on the bottom of the screen.
LOCAL nCol := 0, cStatus
cStatus := CP2iread()
DISPBEGIN()
@ 24, 00 SAY SPACE(80) COLOR "N/W"
FOR nCol := 1 TO 80
   IF SUBSTR( cStatus, nCol, 1 ) $ CHR(196)+CHR(45)  // clean up line
      @ 24, nCol-1 SAY " " COLOR "N/W"
   ELSE
      @ 24, nCol-1 SAY SUBSTR( cStatus, nCol, 1 ) COLOR "N/W"
   ENDIF
NEXT
DISPEND()
RETURN nil

*: EOF: STAT3270.PRG
