*:*****************************************************************************
*:
*: Procedure file: C:\TEMP\WRITEAT.PRG
*:
*:         System: 3270 emulation program
*:         Author: John Wright
*:      Copyright (c) 1992-1993, John Wright
*:  Last modified: 12/26/93      8:30
*:
*:  Procs & Fncts: WRITEAT()
*:
*:      Documented 12/26/93 at 08:35                SNAP!  version 5.02
*:*****************************************************************************
#include "CLIP2.CH"

*!*****************************************************************************
*!
*!       Function: WRITEAT()
*!
*!      Called by: HOST3270()         (function  in HOST3270.PRG)
*!
*!*****************************************************************************
FUNCTION WriteAt( nRow, nCol, cText, lHide )
* Write text to screen and then send it to mainframe.
* NOTE: PC screen row/column positions are different from mainframe.
*       Pass the correct mainframe position for the fields.
lHide := IF( VALTYPE( lHide ) <> "L", .F., lHide )
IF lHide
   @ nRow-1, nCol-1 SAY REPLICATE( "*", LEN(cText) ) COLOR "N/W"
ELSE
   @ nRow-1, nCol-1 SAY cText COLOR "N/W"
ENDIF
CP2WriteAt( nRow, nCol, cText )
RETURN .T.

*: EOF: WRITEAT.PRG
